<?php
echo date('Y-m-d H:i:s') . '<br>';
$conf_basedir	= "../../";	//相对主目录的位置
$conf_where		= "admin";	//选择调用相应模块
$directory		= basename(dirname(__FILE__));	//定义当前所在的目录，引入模块公用函数
include_once($conf_basedir."base.inc.php");
checkAuth('65');	//判断登录和权限

$arrField = array();
$arrField['id'] = 1;
$arrField['blockname'] = '天润城';
$tblname = 'block';
/**
 * SqlCombinHelper::insert_sql($tblname, $arrField)
 * 插入语句
 */
//echo SqlCombinHelper::insert_sql($tblname, $arrField) . '<br>';
/**
 * SqlCombinHelper::update_sql($tblname, $arrField, $strWhere)
 * 更新语句
 */
//echo SqlCombinHelper::update_sql($tblname, $arrField, 'id = 1') . '<br>';
/**
 * SqlCombinHelper::delete_sql($tblname, $strWhere)
 * 删除语句
 */
//echo SqlCombinHelper::delete_sql($tblname, 'id = 1') . '<br>';
/**
 * SqlCombinHelper::select_sql($tblname, $field)
 * 查询语句
 */
//echo SqlCombinHelper::select_sql($tblname, 'id, blockname') . '<br>';
/**
 * CommonBase::isFullArray($arrValue) 
 * 判断是否是数组
 */
//echo CommonBase::isFullArray($arrField) ? '是有值数组' : '空数组';

/**
 * 实例化成长值和积分类需传入的经纪人数据参数
 * @param int id 经纪人编号
 * @param int groupid 经纪人套餐id
 */
$arrBroker = array(
    'id' => 819339,
    'groupid' => 10,
);
//成长值
$gbe = new GrowthBrokerExp($arrBroker);

//$gbe->increase('openPayPackage');
print_r($gbe->increase('pABlockContri', '', 50));
//$gbe->reduce('pABlockContri', '', -50);

//积分

//$gbc = new GrowthBrokerCredit($arrBroker);
//print_r($gbc->increase('openPayPackage'));
//$gbc->increase('pABlockContri', '', 50);
//$gbc->reduce('pABlockContri', '', -50);
   // echo date('Y-m-d H:i:s') . '<br>';


